diff --git a/src/Makefile b/src/Makefile
index b3594c1..8d9ece4 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -27,7 +27,7 @@ shared/libosmocore/build-host/Makefile: shared/libosmocore/configure shared/libo
 	cd shared/libosmocore/build-host && ../configure $(HOST_CONFARGS)
 
 shared/libosmocore/build-host/src/.libs/libosmocore.la: shared/libosmocore/build-host/Makefile
-	cd shared/libosmocore/build-host && make
+	cd shared/libosmocore/build-host && $(MAKE)
 
 
 libosmocore-target: shared/libosmocore/build-target/src/.libs/libosmocore.a
@@ -42,7 +42,7 @@ shared/libosmocore/build-target/Makefile: shared/libosmocore/configure shared/li
 		CC="$(CROSS_TOOL_PREFIX)gcc" CFLAGS="-Os -ffunction-sections -I$(TOPDIR)/target/firmware/include -nostartfiles -nodefaultlibs"
 
 shared/libosmocore/build-target/src/.libs/libosmocore.a: shared/libosmocore/build-target/Makefile
-	cd shared/libosmocore/build-target && make
+	cd shared/libosmocore/build-target && $(MAKE)
 
 
 .PHONY: osmocon
@@ -55,7 +55,7 @@ host/osmocon/Makefile: host/osmocon/configure
 	cd host/osmocon && $(OSMOCORE_CONFIGURE_ENV) ./configure $(HOST_CONFARGS)
 
 host/osmocon/osmocon: host/osmocon/Makefile libosmocore-host
-	make -C host/osmocon
+	$(MAKE) -C host/osmocon
 
 
 .PHONY: gsmmap
@@ -68,7 +68,7 @@ host/gsmmap/Makefile: host/gsmmap/configure
 	cd host/gsmmap && $(OSMOCORE_CONFIGURE_ENV) ./configure $(HOST_CONFARGS)
 
 host/gsmmap/gsmmap: host/gsmmap/Makefile libosmocore-host
-	make -C host/gsmmap
+	$(MAKE) -C host/gsmmap
 
 
 .PHONY: layer23
@@ -81,24 +81,24 @@ host/layer23/Makefile: host/layer23/configure
 	cd host/layer23 && $(OSMOCORE_CONFIGURE_ENV) ./configure $(HOST_CONFARGS)
 
 host/layer23/layer23: host/layer23/Makefile libosmocore-host
-	make -C host/layer23
+	$(MAKE) -C host/layer23
 
 
 .PHONY: firmware
 firmware: libosmocore-target
-	make -C target/firmware CROSS_COMPILE=$(CROSS_TOOL_PREFIX)
+	$(MAKE) -C target/firmware CROSS_COMPILE=$(CROSS_TOOL_PREFIX)
 
 
 clean:
-	make -C shared/libosmocore/build-host $@
-	make -C shared/libosmocore/build-target $@
-	make -C host/layer23 $@
-	make -C host/osmocon $@
-	make -C target/firmware $@
+	$(MAKE) -C shared/libosmocore/build-host $@
+	$(MAKE) -C shared/libosmocore/build-target $@
+	$(MAKE) -C host/layer23 $@
+	$(MAKE) -C host/osmocon $@
+	$(MAKE) -C target/firmware $@
 
 distclean:
 	rm -rf shared/libosmocore/build-host
 	rm -rf shared/libosmocore/build-target
-	make -C host/layer23 $@
-	make -C host/osmocon $@
-	make -C target/firmware $@
+	$(MAKE) -C host/layer23 $@
+	$(MAKE) -C host/osmocon $@
+	$(MAKE) -C target/firmware $@
